/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../styles/plateg.less';

.dynamic-card-holder {
  .ant-card {
    border-radius: 8px;
    width: 100%;
  }

  .edit-btn {
    border: none;
    box-shadow: none;
    color: @links-color;
  }

  .has-errors {
    margin-top: 2rem;
  }

  .default-container {
    display: grid;
    place-items: center;
    gap: 16px;
    margin: 0 auto;
    max-width: 480px;

    .subheadline-description {
      text-align: center;
    }

    .dynamic-card-btn.ant-btn-default {
      border-color: transparent;
      box-shadow: none;
    }
  }

  .card-icon-title {
    display: flex;
    align-items: center;

    .icon-wrapper {
      margin-right: 0.5em;
      display: flex;
      align-items: center;
    }
  }

  dl {
    font-size: 1.6rem;
    width: 100%;
    margin-bottom: 0px;

    dt {
      float: left;
      clear: left;
      width: 50%;
      font-weight: normal;
    }

    dd {
      min-height: 26px;
      overflow: hidden;
      /** Keeps newlines, but breaks between words. Use for displaying e.g. multiline email previews. */
      white-space: pre-line;

      &:last-child {
        margin-bottom: 0px;
      }

      strong {
        font-weight: 500;
      }
    }
  }
}
